com.genesyslab.wfm7.API.service.config761

## Class CfgBreak

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config761.CfgBreak

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgBreak
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private long` | `timestamp`
    `private int` | `wmAnchor`
    `private int` | `wmBreakId`
    `private int` | `wmDuration`
    `private int` | `wmMaxDistance`
    `private int` | `wmMaxLengthBefore`
    `private int` | `wmMinLengthAfter`
    `private int` | `wmMinLengthBefore`
    `private java.lang.String` | `wmName`
    `private boolean` | `wmPaid`
    `private java.lang.String` | `wmShortName`
    `private int` | `wmSiteId`
    `private int` | `wmStartOffset`
    `private int` | `wmStartStep`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgBreak()`
    `CfgBreak(int wmBreakId, int wmSiteId, java.lang.String wmName, java.lang.String wmShortName, boolean wmPaid, int wmDuration, int wmMinLengthBefore, int wmMaxLengthBefore, int wmMinLengthAfter, int wmStartStep, int wmStartOffset, int wmMaxDistance, int wmAnchor, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `long` | `getTimestamp()` Gets the timestamp value for this CfgBreak.
    `int` | `getWmAnchor()` Gets the wmAnchor value for this CfgBreak.
    `int` | `getWmBreakId()` Gets the wmBreakId value for this CfgBreak.
    `int` | `getWmDuration()` Gets the wmDuration value for this CfgBreak.
    `int` | `getWmMaxDistance()` Gets the wmMaxDistance value for this CfgBreak.
    `int` | `getWmMaxLengthBefore()` Gets the wmMaxLengthBefore value for this CfgBreak.
    `int` | `getWmMinLengthAfter()` Gets the wmMinLengthAfter value for this CfgBreak.
    `int` | `getWmMinLengthBefore()` Gets the wmMinLengthBefore value for this CfgBreak.
    `java.lang.String` | `getWmName()` Gets the wmName value for this CfgBreak.
    `java.lang.String` | `getWmShortName()` Gets the wmShortName value for this CfgBreak.
    `int` | `getWmSiteId()` Gets the wmSiteId value for this CfgBreak.
    `int` | `getWmStartOffset()` Gets the wmStartOffset value for this CfgBreak.
    `int` | `getWmStartStep()` Gets the wmStartStep value for this CfgBreak.
    `int` | `hashCode()`
    `boolean` | `isWmPaid()` Gets the wmPaid value for this CfgBreak.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this CfgBreak.
    `void` | `setWmAnchor(int wmAnchor)` Sets the wmAnchor value for this CfgBreak.
    `void` | `setWmBreakId(int wmBreakId)` Sets the wmBreakId value for this CfgBreak.
    `void` | `setWmDuration(int wmDuration)` Sets the wmDuration value for this CfgBreak.
    `void` | `setWmMaxDistance(int wmMaxDistance)` Sets the wmMaxDistance value for this CfgBreak.
    `void` | `setWmMaxLengthBefore(int wmMaxLengthBefore)` Sets the wmMaxLengthBefore value for this CfgBreak.
    `void` | `setWmMinLengthAfter(int wmMinLengthAfter)` Sets the wmMinLengthAfter value for this CfgBreak.
    `void` | `setWmMinLengthBefore(int wmMinLengthBefore)` Sets the wmMinLengthBefore value for this CfgBreak.
    `void` | `setWmName(java.lang.String wmName)` Sets the wmName value for this CfgBreak.
    `void` | `setWmPaid(boolean wmPaid)` Sets the wmPaid value for this CfgBreak.
    `void` | `setWmShortName(java.lang.String wmShortName)` Sets the wmShortName value for this CfgBreak.
    `void` | `setWmSiteId(int wmSiteId)` Sets the wmSiteId value for this CfgBreak.
    `void` | `setWmStartOffset(int wmStartOffset)` Sets the wmStartOffset value for this CfgBreak.
    `void` | `setWmStartStep(int wmStartStep)` Sets the wmStartStep value for this CfgBreak.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmBreakId

          private int wmBreakId

    - #### wmSiteId

          private int wmSiteId

    - #### wmName

          private java.lang.String wmName

    - #### wmShortName

          private java.lang.String wmShortName

    - #### wmPaid

          private boolean wmPaid

    - #### wmDuration

          private int wmDuration

    - #### wmMinLengthBefore

          private int wmMinLengthBefore

    - #### wmMaxLengthBefore

          private int wmMaxLengthBefore

    - #### wmMinLengthAfter

          private int wmMinLengthAfter

    - #### wmStartStep

          private int wmStartStep

    - #### wmStartOffset

          private int wmStartOffset

    - #### wmMaxDistance

          private int wmMaxDistance

    - #### wmAnchor

          private int wmAnchor

    - #### timestamp

          private long timestamp

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CfgBreak

          public CfgBreak()

    - #### CfgBreak

          public CfgBreak(int wmBreakId,
                  int wmSiteId,
                  java.lang.String wmName,
                  java.lang.String wmShortName,
                  boolean wmPaid,
                  int wmDuration,
                  int wmMinLengthBefore,
                  int wmMaxLengthBefore,
                  int wmMinLengthAfter,
                  int wmStartStep,
                  int wmStartOffset,
                  int wmMaxDistance,
                  int wmAnchor,
                  long timestamp)

  - ### Method Detail

    - #### getWmBreakId

          public int getWmBreakId()

      Gets the wmBreakId value for this CfgBreak.
      Returns:
        wmBreakId

    - #### setWmBreakId

          public void setWmBreakId(int wmBreakId)

      Sets the wmBreakId value for this CfgBreak.
      Parameters:
        `wmBreakId` -

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the wmSiteId value for this CfgBreak.
      Returns:
        wmSiteId

    - #### setWmSiteId

          public void setWmSiteId(int wmSiteId)

      Sets the wmSiteId value for this CfgBreak.
      Parameters:
        `wmSiteId` -

    - #### getWmName

          public java.lang.String getWmName()

      Gets the wmName value for this CfgBreak.
      Returns:
        wmName

    - #### setWmName

          public void setWmName(java.lang.String wmName)

      Sets the wmName value for this CfgBreak.
      Parameters:
        `wmName` -

    - #### getWmShortName

          public java.lang.String getWmShortName()

      Gets the wmShortName value for this CfgBreak.
      Returns:
        wmShortName

    - #### setWmShortName

          public void setWmShortName(java.lang.String wmShortName)

      Sets the wmShortName value for this CfgBreak.
      Parameters:
        `wmShortName` -

    - #### isWmPaid

          public boolean isWmPaid()

      Gets the wmPaid value for this CfgBreak.
      Returns:
        wmPaid

    - #### setWmPaid

          public void setWmPaid(boolean wmPaid)

      Sets the wmPaid value for this CfgBreak.
      Parameters:
        `wmPaid` -

    - #### getWmDuration

          public int getWmDuration()

      Gets the wmDuration value for this CfgBreak.
      Returns:
        wmDuration

    - #### setWmDuration

          public void setWmDuration(int wmDuration)

      Sets the wmDuration value for this CfgBreak.
      Parameters:
        `wmDuration` -

    - #### getWmMinLengthBefore

          public int getWmMinLengthBefore()

      Gets the wmMinLengthBefore value for this CfgBreak.
      Returns:
        wmMinLengthBefore

    - #### setWmMinLengthBefore

          public void setWmMinLengthBefore(int wmMinLengthBefore)

      Sets the wmMinLengthBefore value for this CfgBreak.
      Parameters:
        `wmMinLengthBefore` -

    - #### getWmMaxLengthBefore

          public int getWmMaxLengthBefore()

      Gets the wmMaxLengthBefore value for this CfgBreak.
      Returns:
        wmMaxLengthBefore

    - #### setWmMaxLengthBefore

          public void setWmMaxLengthBefore(int wmMaxLengthBefore)

      Sets the wmMaxLengthBefore value for this CfgBreak.
      Parameters:
        `wmMaxLengthBefore` -

    - #### getWmMinLengthAfter

          public int getWmMinLengthAfter()

      Gets the wmMinLengthAfter value for this CfgBreak.
      Returns:
        wmMinLengthAfter

    - #### setWmMinLengthAfter

          public void setWmMinLengthAfter(int wmMinLengthAfter)

      Sets the wmMinLengthAfter value for this CfgBreak.
      Parameters:
        `wmMinLengthAfter` -

    - #### getWmStartStep

          public int getWmStartStep()

      Gets the wmStartStep value for this CfgBreak.
      Returns:
        wmStartStep

    - #### setWmStartStep

          public void setWmStartStep(int wmStartStep)

      Sets the wmStartStep value for this CfgBreak.
      Parameters:
        `wmStartStep` -

    - #### getWmStartOffset

          public int getWmStartOffset()

      Gets the wmStartOffset value for this CfgBreak.
      Returns:
        wmStartOffset

    - #### setWmStartOffset

          public void setWmStartOffset(int wmStartOffset)

      Sets the wmStartOffset value for this CfgBreak.
      Parameters:
        `wmStartOffset` -

    - #### getWmMaxDistance

          public int getWmMaxDistance()

      Gets the wmMaxDistance value for this CfgBreak.
      Returns:
        wmMaxDistance

    - #### setWmMaxDistance

          public void setWmMaxDistance(int wmMaxDistance)

      Sets the wmMaxDistance value for this CfgBreak.
      Parameters:
        `wmMaxDistance` -

    - #### getWmAnchor

          public int getWmAnchor()

      Gets the wmAnchor value for this CfgBreak.
      Returns:
        wmAnchor

    - #### setWmAnchor

          public void setWmAnchor(int wmAnchor)

      Sets the wmAnchor value for this CfgBreak.
      Parameters:
        `wmAnchor` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this CfgBreak.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this CfgBreak.
      Parameters:
        `timestamp` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.